var system = require("../../../system");
var settings = require("../../../../config/settings");
const AppServiceBase = require("../../app.base");


class UtilsIcNameService extends AppServiceBase {
    constructor() {
        super();
    }
    /**
     * 工商核名请求接口
     * @param {*} 
     */
    async checkBusinessNameList(params, req) {
        var obj = {
            cityname: params.CityName,
            keyword: params.KeyWord,
            btname: params.IndustryType,
            orgname: params.OrganizationType,
            searchtype: params.SearchType ||"",
            sitcity: params.SitCity ||""
        }
        var result = await this.execPostByTimeOut(req, obj, settings.checkIcNameUrl());
        return result;
    }

}

module.exports = UtilsIcNameService;